#!/bin/bash
echo generate detailed class diagram
plantuml class-diagram.uml

echo generate class diagram without Qt classes
cat class-diagram.uml |grep -vP '^[^()]*\bQ[^()]*$' >class-diagram-noQt.uml 
plantuml class-diagram-noQt.uml

echo generate class diagram without private members
cat class-diagram.uml |grep -vP '^\s+[\w\#\-]'      >class-diagram-public.uml 
plantuml class-diagram-public.uml

echo generate class diagram without Qt classes and private members
cat class-diagram.uml |grep -vP '^\s+[\w\#\-]' | grep -vP '^[^()]*\bQ[^()]*$' >class-diagram-public-noQt.uml 
plantuml class-diagram-public-noQt.uml


