/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCCONFIG_H
#define PCCONFIG_H

#include <QString>

namespace pcConfig
{
    extern const QString version;
    extern const QString prjUrl;
    extern const QString helpUrl;
    extern const QString galeryUrl;
    extern const QString versionUrl;
    extern const QString downloadUrl;
    extern const QString wishlistUrl;
    extern const QString layoutDir;
    extern const QString iconDir;
    extern const QString usersLayoutDir;
}

#endif // PCCONFIG_H
