#!/usr/bin/perl

$cols = 10;
$rows = 4;

@caption = qw`
1 2 3 4 5 6 7 8 9 0
q w e r t y u i o p
a s d f g h j k l space
z x c v b n m , . ?
`;

@insert = qw`
---- --- -- -  - --	 --- ---- -----	
--- --	 - - --- -  --- --
-  - - --	  --- --	- space
-- -- -- - - - -- ---- --- --
`;

print <<OUT;
<?xml version="1.0" encoding="UTF-8" ?>
<polycalc version="1.0">
  <engine type="QtScript" />
  <buttontable>
    <grid>
OUT

for ($j = 0; $j < $rows; $j++)
{
  print <<OUT;
      <row>  
OUT
  for ($i = 0; $i < $cols; $i++)
  {
    print <<OUT;
        <button caption="$caption[$j*$cols+$i]" insert="$insert[$j*$cols+$i]" />
OUT
  }
  print <<OUT;
      </row>
OUT
}
print <<OUT;
    </grid>
  </buttontable>
</polycalc>
OUT




