#-------------------------------------------------
#
# Project created by QtCreator 2012-04-16T13:16:13
#
#-------------------------------------------------

QT       += core gui xml script network

TARGET = polycalc
TEMPLATE = app


SOURCES  += src/main.cpp\
            src/mainwindow.cpp \
            src/pclineedit.cpp \
            src/pcbutton.cpp \
            src/pclabel.cpp \
            src/pcgrid.cpp \
            src/pcscriptengine.cpp \
            src/pcexecscriptengine.cpp \
            src/pcqscriptengine.cpp \
            src/pcstatusbar.cpp \
            src/pcappscript.cpp \
            src/pcmenu.cpp \
            src/pcmenuaction.cpp \
            src/pclayout.cpp \
            src/pcmacro.cpp \
            src/pcconfig.cpp \
    src/pcupdate.cpp

HEADERS  += src/mainwindow.h \
            src/pclineedit.h \
            src/pcbutton.h \
            src/pclabel.h \
            src/pcgrid.h \
            src/pcscriptengine.h \
            src/pcexecscriptengine.h \
            src/pcqscriptengine.h \
            src/pcstatusbar.h \
            src/pcappscript.h \
            src/pcmenu.h \
            src/pcmenuaction.h \
            src/pclayout.h \
            src/pcmacro.h \
            src/pcconfig.h \
    src/pcupdate.h

FORMS    += src/mainwindow.ui

target.path = /usr/bin
INSTALLS += target

icons.path    = /usr/share/icons/hicolor/256x256/apps
icons.files   = icon/polycalc.png
layouts.path  = /usr/share/polycalc/layouts
layouts.files = layouts/basic.cal layouts/scientific.cal layouts/programmer.cal
dsktp.path    = /usr/share/applications
dsktp.files   = doc/polycalc.desktop
INSTALLS += icons layouts dsktp

win32:RC_FILE = windows/polycalc.rc

OTHER_FILES += \
    layouts/RPG.cal \
    layouts/SzG.cal \
    layouts/scientific.cal \
    layouts/programmer.cal \
    layouts/polycalc.xsd \
    layouts/gnuplot.cal \
    layouts/c_expression.cal \
    layouts/basic-colored.cal
