/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCMENU_H
#define PCMENU_H

#include <QtXml>
#include <QMenu>
#include "pcscriptengine.h"
#include "pcappscript.h"

/** Layout parent menus with submenus.
    The class built from corresponding PolyCalc XML node. */
class pcMenu : public QMenu
{
    Q_OBJECT

public:
    explicit pcMenu(QDomNode &node,
                    pcScriptEngine *scriptEngine,
                    pcAppScript *appScript,
                    QWidget *parent = 0);
    
signals:
    
public slots:
    
};

#endif // PCMENU_H
