/* This file is part of PolyCalc.

   PolyCalc is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   any later version.

   PolyCalc is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with PolyCalc.  If not, see <http://www.gnu.org/licenses/>.

   For more information about PolyCalc see project home
   <https://launchpad.net/polycalc>.

   Copyright 2012 PolyCalc development team */

#ifndef PCUPDATE_H
#define PCUPDATE_H

#include <QAction>

/** Action class to check if newer version available online.
    It checks an online version number text file and compares
    it with the hardcoded version number, if not equal, offers
    the download site. */
class pcUpdate : public QAction
{
    Q_OBJECT
public:
    explicit pcUpdate(QWidget *parent = 0);
    
signals:
    
private slots:
    void onTriggered();

public slots:
    
};

#endif // PCUPDATE_H
