Name "PolyCalc"
OutFile "polycalc-0.1.1.exe"
InstallDir $PROGRAMFILES\IllusionSoft\polycalc
RequestExecutionLevel admin

Page directory
Page instfiles

Section ""
  SetOutPath $INSTDIR
  File polycalc.exe
  File basic.cal
  File scientific.cal
  File programmer.cal
  File libgcc_s_dw2-1.dll
  File mingwm10.dll
  File QtCore4.dll
  File QtGui4.dll
  File QtScript4.dll
  File QtXml4.dll
  File COPYING
  File polycalc.png
  
  SetShellVarContext all
  writeUninstaller "$INSTDIR\uninstall.exe"
  CreateShortCut "$DESKTOP\PolyCalc.lnk" "$INSTDIR\polycalc.exe" ""
  CreateDirectory "$SMPROGRAMS\PolyCalc"
  CreateShortCut "$SMPROGRAMS\PolyCalc\PolyCalc.lnk" "$INSTDIR\polycalc.exe" "" "$INSTDIR\polycalc.exe" 0
  CreateShortCut "$SMPROGRAMS\PolyCalc\uninstall.lnk" "$INSTDIR\uninstall.exe"
SectionEnd

# uninstaller section start
section "uninstall"
 
    # first, delete the uninstaller
    delete "$INSTDIR\uninstall.exe"
    delete "$INSTDIR\polycalc.exe"
    delete "$INSTDIR\basic.cal"
    delete "$INSTDIR\scientific.cal"
    delete "$INSTDIR\programmer.cal"
    delete "$INSTDIR\libgcc_s_dw2-1.dll"
    delete "$INSTDIR\mingwm10.dll"
    delete "$INSTDIR\QtCore4.dll"
    delete "$INSTDIR\QtGui4.dll"
    delete "$INSTDIR\QtScript4.dll"
    delete "$INSTDIR\QtXml4.dll"
    delete "$INSTDIR\COPYING"
    delete "$INSTDIR\polycalc.png"
 
    # second, remove the link from the start menu
    delete "$DESKTOP\PolyCalc.lnk"
    delete "$SMPROGRAMS\PolyCalc\PolyCalc.lnk"
    delete "$SMPROGRAMS\PolyCalc\uninstall.lnk"
 
# uninstaller section end
sectionEnd